> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Asset Platforms List

> To query all the supported asset platforms (blockchain networks) on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Use this endpoint to get asset platform IDs for other endpoints that require an `id` parameter (asset platform).
* Use `filter=nft` to get only NFT-supported asset platforms.

<CacheInfo paidRate="60 seconds" publicRate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.assetPlatforms.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.asset_platforms.get()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /asset_platforms
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /asset_platforms:
    get:
      summary: Asset Platforms List
      description: >-
        To query all the supported asset platforms (blockchain networks) on
        CoinGecko
      operationId: asset-platforms-list
      parameters:
        - name: filter
          in: query
          required: false
          description: Apply relevant filters to results.
          schema:
            type: string
            enum:
              - nft
      responses:
        '200':
          description: List of asset platforms
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetPlatforms'
              example:
                - id: solana
                  chain_identifier: null
                  name: Solana
                  shortname: Solana
                  native_coin_id: solana
                  image:
                    thumb: >-
                      https://coin-images.coingecko.com/asset_platforms/images/5/thumb/solana.png?1706606708
                    small: >-
                      https://coin-images.coingecko.com/asset_platforms/images/5/small/solana.png?1706606708
                    large: >-
                      https://coin-images.coingecko.com/asset_platforms/images/5/large/solana.png?1706606708
                - id: flow-evm
                  chain_identifier: 747
                  name: Flow EVM
                  shortname: ''
                  native_coin_id: flow
                  image:
                    thumb: >-
                      https://coin-images.coingecko.com/asset_platforms/images/22173/thumb/flow.jpg?1727072603
                    small: >-
                      https://coin-images.coingecko.com/asset_platforms/images/22173/small/flow.jpg?1727072603
                    large: >-
                      https://coin-images.coingecko.com/asset_platforms/images/22173/large/flow.jpg?1727072603
components:
  schemas:
    AssetPlatforms:
      type: array
      items:
        type: object
        required:
          - id
          - chain_identifier
          - name
          - shortname
          - native_coin_id
          - image
        properties:
          id:
            type: string
            description: Asset platform ID
          chain_identifier:
            type: number
            nullable: true
            description: Chainlist's chain ID
          name:
            type: string
            description: Chain name
          shortname:
            type: string
            description: Chain shortname
          native_coin_id:
            type: string
            nullable: true
            description: Chain native coin ID
          image:
            type: object
            description: Asset platform image URLs
            properties:
              thumb:
                type: string
                description: Thumbnail image URL
              small:
                type: string
                description: Small image URL
              large:
                type: string
                description: Large image URL
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````